Subject: [Sip] Strict routing?

From: Timothy SOETENS <[email-masked]>
Date: Wed, 19 Sep 2001 14:57:59 +0200

Hi,

I have been following the discussion about loose routing, and the exact
meaning of strict routing is still unclear to me. Three possible
differences between strict and loose routing I have imagined are:

1. A route header with strict label is popped to replace the request
URI. However, Dean Willis suggested to stop rewriting the request URI.

2. The SIP request should be sent directly to the route header with
strict label. But who can decide this? Who can insert strict and loose
route headers in the SIP message?

3. The route headers with loose label can be bypassed if this improves
network performance or whatever. But then why do we use them anyway?

I hope these 3 thoughts can clarify my question. Can someone explain
strict routing?

Thanks,
Tim.
-- 
Timothy Soetens
_________________________________________

From the Network Strategy Group @ Alcatel

Tel. +32-3-240.42.11
Fax  +32-3-240.48.88

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Neil Deason" <[email-masked]>
Date: Wed, 19 Sep 2001 17:10:20 +0100

[I have trimmed sipping from this - please don't cross
post to more than one SIP list.]

> network performance or whatever. But then why do we use them anyway?

The difference between strict and loose is hard to
explain as there is no certainty over what loose
means to the SIP community.

> I hope these 3 thoughts can clarify my question. Can someone explain

The notion of strict source routing in SIP appeared in
bis-04 in reference to the way requests containing a Route
headers are handled. The Route headers contain a set of
servers that the request must visit on its way from one
UA to another. When a server receives a request it MUST
check for the existence of a Route header. If one exists, it
MUST pop that Route header, and place it into the Request-URI.
It then sends the request using the defined procedures of
locating a SIP server basedon the Request URI contents
(Section 1.4.2).

The bis04 says that the way Route headers are handled is
much like strict IP source routing. I think the intention
is to indicate that a request with Route headers has a
pre-determined path to follow, as well as the ultimate
destination, defined.

I however have argued that strict IP source routing is
not a helpful comparison. For one Route headers contain URLs
- strict source routing in IP is more brittle because it uses
IP addresses. Secondly I do not think Route headers have to
be strictly obeyed. An interesting deviation from that
is accepted for a UAC that doesn't support DNS. Such a client
can ignore Route headers and send to a local outbound
proxy. This would appear to set a precedent for disregarding
Route headers provide you do not touch them.

Cheers,
Neil.
--
Ubiquity Software Corporation, UK        http://www.ubiquity.net

---

From: "Dean Willis" <[email-masked]>
Date: Wed, 19 Sep 2001 14:08:29 -0500

Strrict routing implies that the entire set of SIP nodes which may be
visited is listed, in order of visitation, in the Route header. No other
nodes may be visited by this message, and all the listed nodes MUST be
visited in the given order or the message has "failed".

Loose routing implies that the indicated nodes MUST be visited before the
message can be delivered to the target indicated in the original request
URI. The message may visit other nodes before, between or after any node
specified on the loose route.

Neither sort of route can simply be "ignored".

These definitions of loose and strict source routes are essentially similar
to the definition of those terms as used to discuss IP routing. Where the IP
routing people got them, I've no idea.

SIP, in RFC2543, defines a functional strict source routing mechanism.

We seem to have a consensus that indicates a loose source routing mechanism
is needed.

We seem to have a consensus that it would be useful to be able to interleave
loose and strict routes. That's not a "hard requirement" yet

----- Original Message -----
From: "Timothy SOETENS" <[email-masked]>
To: "sip mailing list" <[email-masked]>; "sipping mailing list"
<[email-masked]>
Sent: Wednesday, September 19, 2001 7:57 AM
Subject: [Sip] Strict routing?